{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, dialog_box\r\n$insert msg_equates\r\n$insert logical\r\nequ NumCols to 14\r\n\r\nColMarks = str( @fm, NumCols-1 )\r\nSpecInfo = .spec_info->array\r\nDone = false$\r\nRowNum = 1\r\nloop\r\n   Trow = ''\r\n   for i = 1 to NumCols\r\n      Trow := SpecInfo<i,RowNum>:@fm\r\n   next i\r\n   Trow[-1,1] = ''\r\n   if Trow = ColMarks then\r\n      * blank row use this one\r\n      Title = 'Layer ':RowNum\r\n      convert @fm to @vm in Trow\r\n      ReturnVal = dialog_box( 'CUST_INQUIRY2', @window, Trow:char(244):Title )\r\n      convert @vm to @fm in ReturnVal\r\n      ReturnVal := @fm ;* for the last blank value\r\n      if ReturnVal <> Trow and ReturnVal <> 'CANCEL':@fm then\r\n         .spec_info->selpos =  1:@fm:RowNum\r\n         .spec_info->rowdata = ReturnVal\r\n         @@window->savewarn = 1\r\n      end\r\n      Done = true$\r\n   end else\r\n      RowNum += 1\r\n   end\r\n until Done\r\nrepeat\r\nRETURN 0"
        }
    }
}